import { HttpClient } from '@angular/common/http';
import { ApiResponseModel, ApiVisa, BaseApiTemplateService } from '../../shared';
import { UserCatalogContainerModel } from '../../../../../../models/aggregates/applet';
import { Observable } from 'rxjs';
export declare class UserCatalogLinksService extends BaseApiTemplateService<any> {
    protected apiUrl: string;
    constructor(http: HttpClient);
    onInstall(dtoObject: UserCatalogContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<UserCatalogContainerModel>>;
    onUninstall(guid: any, apiVisa: ApiVisa): Observable<Object>;
    onAdminInstall(userAppletContainer: UserCatalogContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<UserCatalogContainerModel>>;
    onMultipleAdminInstall(userAppletContainer: UserCatalogContainerModel[], apiVisa: ApiVisa): Observable<ApiResponseModel<UserCatalogContainerModel>>;
    onSysadminInstall(userCatalogContainer: UserCatalogContainerModel, apiVisa: any): Observable<ApiResponseModel<UserCatalogContainerModel>>;
    getUserInstalledApplets(apiVisa: ApiVisa, hostnameValueL: string): Observable<Object>;
    deleteMultipleBySysAdminEp(dto: any, tenantCode: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
